Bug 559587 - SELinux is preventing rpc.ypxfrd "lock" access on /var/run/ypxfrd.pid.
Summary: SELinux is preventing rpc.ypxfrd "lock" access on /var/run/ypxfrd.pid.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:3b643225282...
Depends On:
Blocks: 559874
TreeView+ depends on / blocked
 
Reported: 2010-01-28 14:50 UTC by Karel Klíč
Modified: 2015-12-15 13:22 UTC (History)
4 users (show)

Fixed In Version: 3.6.32-84.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 559874 (view as bug list)
Environment:
Last Closed: 2010-02-11 14:42:43 UTC


Attachments (Terms of Use)
Miroslav add this patch to F12 and we will update RHEL6 policy. (1.60 KB, application/octet-stream)
2010-01-28 18:30 UTC, Daniel Walsh
no flags Details

Description Karel Klíč 2010-01-28 14:50:54 UTC
Summary:

SELinux is preventing rpc.ypxfrd "lock" access on /var/run/ypxfrd.pid.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by rpc.ypxfrd. It is not expected that this
access is required by rpc.ypxfrd and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:ypxfr_t:s0
Target Context                unconfined_u:object_r:var_run_t:s0
Target Objects                /var/run/ypxfrd.pid [ file ]
Source                        rpc.ypxfrd
Source Path                   rpc.ypxfrd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-73.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31.12-174.2.3.fc12.i686.PAE #1 SMP Mon Jan 18
                              20:06:44 UTC 2010 i686 i686
Alert Count                   1
First Seen                    Wed 27 Jan 2010 03:08:08 PM CET
Last Seen                     Wed 27 Jan 2010 03:08:08 PM CET
Local ID                      dacac77f-b75f-4760-a713-ff1a5aaeb511
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1264601288.588:34174): avc:  denied  { lock } for  pid=24673 comm="rpc.ypxfrd" path="/var/run/ypxfrd.pid" dev=dm-0 ino=46187 scontext=unconfined_u:system_r:ypxfr_t:s0 tcontext=unconfined_u:object_r:var_run_t:s0 tclass=file



Hash String generated from  selinux-policy-3.6.32-73.fc12,catchall,rpc.ypxfrd,ypxfr_t,var_run_t,file,lock
audit2allow suggests:

#============= ypxfr_t ==============
allow ypxfr_t var_run_t:file lock;

Comment 1 Karel Klíč 2010-01-28 14:56:08 UTC
rpc.ypxfrd was modified in Fedora Rawhide to use a pid file (because it's a daemon). Please update the policy for this daemon to allow the creation and unlink of its pid file.

Upstream preliminarily accepted the change.

I thank you.

Comment 2 Daniel Walsh 2010-01-28 15:44:49 UTC
Fixed in selinux-policy-3.7.8-5.fc13

Comment 4 Daniel Walsh 2010-01-28 18:27:33 UTC
Yes.

Comment 5 Daniel Walsh 2010-01-28 18:30:28 UTC
Created attachment 387406 [details]
Miroslav add this patch to F12 and we will update RHEL6 policy.

Comment 6 Miroslav Grepl 2010-01-29 08:57:30 UTC
Fixed in selinux-policy-3.6.32-79.fc12

Comment 7 Fedora Update System 2010-02-03 23:19:12 UTC
selinux-policy-3.6.32-82.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-82.fc12

Comment 8 Fedora Update System 2010-02-05 01:45:16 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1492

Comment 9 Fedora Update System 2010-02-11 14:38:06 UTC
selinux-policy-3.6.32-84.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.